package com.mgh.pmdm.uc03cp4

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity

class ConverterActivity: AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        // Obtenemos el texto del Intent
        var info = intent.extras
        if (info==null) return  // Si no tenemos sumandos, salimos

        var texto = info.getString("texto")

        // Creamos un nuevo Intent para el resultado
        var result = Intent()

        // Y añadimos como extras el campo "mays" con el texto en mayúscula
        result.putExtra("mays", texto?.uppercase())

        // Devolvemos el resultado con SetResult, pasándole
        // si la actividad ha tenido éxtito (Activity.RESULT_OK), y
        // la Intent con el resultado
        setResult(Activity.RESULT_OK,result)

        // Y finalmente cerramos la actividad
        finish()
    }
}







